### Method

# Gimp Drawable get_pixel

#### Declaration [src]

    GeglColor*
    gimp_drawable_get_pixel (
      GimpDrawable* drawable,
      gint x_coord,
      gint y_coord
    )

#### Description [src]

Gets the value of the pixel at the specified coordinates.

This procedure gets the pixel value at the specified coordinates.

#### Parameters

`x_coord`

  Type: `gint`

  The x coordinate.

`y_coord`

  Type: `gint`

  The y coordinate.

#### Return value

Type: `GeglColor`

The pixel color.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.